# Trigger a new job run

Launch stage: GA

`POST /api/2.2/jobs/run-now`

Run a job and return the `run_id` of the triggered run.

API scopes: jobs

## Request body

- `job_id` (int64, required)
  The ID of the job to be executed
  Example: `11223344`
- `job_parameters` (object, optional)
  Job-level parameters used in the run. for example `"param": "overriding_val"`
- `idempotency_token` (string, optional)
  An optional token to guarantee the idempotency of job run requests. If a run with the provided token already exists,
   the request does not create a new run but returns the ID of the existing run instead. If a run with the provided token is deleted,
   an error is returned.
  
   If you specify the idempotency token, upon failure you can retry until the request succeeds. Databricks guarantees that exactly one run
   is launched with that idempotency token.
  
   This token must have at most 64 characters.
  Example: `8f018174-4792-40d5-bcbc-3e6a527352c8`
- `queue` (object, optional)
  The queue settings of the run.
  - `enabled` (boolean, required)
    If true, enable queueing for the job. This is a required field.
    Default: `true`
    Example: `true`
- `only` (array of string, optional)
  A list of task keys to run inside of the job. If this field is not provided, all tasks in the job will be run.
  
   Prefix a task key with `+` to also run its upstream tasks, or suffix it with `+` to also run its downstream tasks.
   For example, `+my_task` runs `my_task` and everything upstream of it, `my_task+` runs `my_task` and everything
   downstream of it, and `+my_task+` runs both. A task key with no `+` runs only that task.
  Example: `notebook_task_1`
- `performance_target` (string, optional)
  The performance mode on a serverless job. The performance target determines the level of compute performance or cost-efficiency for the run. This field overrides the performance target defined on the job level.
  
   * `PERFORMANCE_OPTIMIZED`: Prioritizes fast startup and execution times through rapid scaling and optimized cluster performance.
   * `STANDARD`: Enables cost-efficient execution of serverless workloads.
   * `COST_OPTIMIZED`: Enables lower job costs by optimizing compute for your selected target duration time. Must provide a duration target.
  Possible values:
  - `PERFORMANCE_TARGET_UNSPECIFIED`
  - `PERFORMANCE_OPTIMIZED`
  - `STANDARD`
- `pipeline_params` (object, optional)
  Controls whether the pipeline should perform a full refresh
  - `full_refresh` (boolean, optional)
    If true, triggers a full refresh on the spark declarative pipeline.
    Default: `false`
  - `refresh_selection` (array of string, optional)
    A list of tables to update without fullRefresh.
  - `full_refresh_selection` (array of string, optional)
    A list of tables to update with fullRefresh.
  - `reset_checkpoint_selection` (array of string, optional)
    A list of streaming flows to reset checkpoints without clearing data.
  - `refresh_flow_selection` (array of string, optional)
    Flow names to selectively refresh. These are unioned with other selective refresh
     options (refresh_selection, full_refresh_selection) to determine the final set of flows to refresh.

## Returns

- `run_id` (int64, optional)
  The globally unique ID of the newly triggered run.
  Example: `455644833`
- `number_in_job` (int64, optional, Deprecated)
  A unique identifier for this job run. This is set to the same value as `run_id`.
  Example: `455644833`

## Response

```json
{
  "run_id": 455644833,
  "number_in_job": 455644833
}
```

